#ifndef Tracker_ReferenceCommonModeCalculator_h
#define Tracker_ReferenceCommonModeCalculator_h

#include "TkCommonModeCalculator.h"
#include "TkNoiseCalculator.h"

class ReferenceCommonModeCalculator : public TkCommonModeCalculator {
 public:  
   
  virtual ApvAnalysis::SubtractedSignalType doIt(ApvAnalysis::SubtractedSignalType);  
  
  void setCM(TkCommonMode* in){theCM = in;}
  void setCM(vector<float> in){theCM->setCommonMode(in);}
  TkCommonMode* commonMode() {return theCM;}  
  
 protected:
  
  virtual void calculate(ApvAnalysis::SubtractedSignalType);
  
  TkCommonMode* theCM;
  float theCM2[128];


};

#endif
