#include "ReferenceApvMask.h"

#define THETHRESHOLD 0

ApvAnalysis::RawSignalType ReferenceApvMask::maskRawSignal(ApvAnalysis::RawSignalType in){
  ApvAnalysis::RawSignalType temp;
  for (int i=0; i<in.size(); i++){
    if (theMask[0] == ok) {
      temp.push_back(in[i]);
    }else{
      temp.push_back(0);
    }
  }
  return temp;
}

ApvAnalysis::SubtractedSignalType ReferenceApvMask::maskRawSignal(ApvAnalysis::SubtractedSignalType in){
  ApvAnalysis::SubtractedSignalType temp;
  for (int i=0; i<in.size(); i++){
    if (theMask[0] == ok) {
      temp.push_back(in[i]);
    }else{
      temp.push_back(0);
    }
  }
  return temp;
}

void ReferenceApvMask::calculateMask(ApvAnalysis::SubtractedSignalType in){
  theMask.clear();
  for (int i=0; i<in.size(); i++){
    if (theNoise->stripNoise(i) != 0) {
      theMask.push_back(ok);
    }else{
      theMask.push_back(dead);
      cout <<"Making the mask dead!"<<endl;
    }
  }
}
