#include "ReferenceCommonModeCalculator.h"
#include "TkCommonMode.h"
#include "ApvAnalysis.h"

ApvAnalysis::SubtractedSignalType ReferenceCommonModeCalculator::doIt(ApvAnalysis::SubtractedSignalType in) {
  ApvAnalysis::SubtractedSignalType out;
  calculate(in);
  for (int i=0; i<in.size(); i++){
    out.push_back(in[i] - theCM2[i]);
  }
  
  return out;
}
void ReferenceCommonModeCalculator::calculate(ApvAnalysis::SubtractedSignalType in){
  //  if (!(&(theCM->topology()))){
  // cout <<" Topology not defined! "<<endl;
  //}
  //  for (int i=0; i<theCM->topology().numberOfSets(); i++){
  // int init = theCM->topology().initialStrips()[i];
  // int final = theCM->topology().finalStrips()[i];
  // float total = 0;
  // for (int j=init; j<=final; j++){
  //   total+=in[j];
  // }
  // temp.push_back(total/(final-init+1));
  //}
  //theCM->setCommonMode(temp);
  float total = 0;
  for (int i=0; i<in.size(); i++){
    total+=in[i];
  }
  total = total/in.size();
  //  cout <<" calculated CM : "<<total<<endl;
  for (int i=0; i<in.size(); i++){
    theCM2[i]=(total);
  }
}
