#include <cmath>
#include "ReferenceCommonModeCalculatorWithSignalRejection.h"

void ReferenceCommonModeCalculatorWithSignalRejection::calculate(ApvAnalysis::SubtractedSignalType in){
  float total = 0;
  for (int i=0; i<in.size(); i++){
    total+=in[i];
  }
  total = total/in.size();
  //
  // this is the first step
  // Now redo it excluding strips wich exceed the CM by 20 adc
  //
  float again=0;
  int n=0;
  for (int i=0; i<in.size(); i++){
    if (fabs(in[i]-total) < 20) {
      again+=in[i];
      n++;
    }
  }
  again=again/n;
  for (int i=0; i<in.size(); i++){
    theCM2[i]=again;
  }
}
