void plot_rawnoise_tt6(int imod, int nchip, int idchip, const char* canvas_name) {

  char  hTitle[30], hNameRNoise[30], hNameRNoiseM[30];
  TCanvas * tc = (TCanvas *) gROOT->FindObject(canvas_name);
  if (tc) { 
    gStyle->SetOptStat(1);
    if (imod == -1) {
      for (int i = 0; i < nchip; i++) {
        tc->cd(i+1);
        if (nchip == 1) {
          sprintf(hNameRNoise, "APV_%i_rnoise",idchip);
        } else {
          sprintf(hNameRNoise, "APV_%i_rnoise",i+1);
        }
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNameRNoise);
        if (fTh1) {
          fTh1->GetXaxis()->SetLabelSize(0.07);
          fTh1->GetYaxis()->SetLabelSize(0.07);
          fTh1->Draw();
        }
      }
    } else {
      tc->cd(1);
      sprintf(hNameRNoiseM, "RawNoise");
      sprintf(hTitle, "Raw Noise Distribution");      
      TH1 *fTempH = (TH1 *) gROOT->FindObject(hNameRNoiseM);
      if (fTempH) delete fTempH;      
      for (int i = 0; i < nchip; i++) {
        sprintf(hNameRNoise, "APV_%i_rnoise",i+1);        
        TH1 *fTh1 = (TH1 *) gROOT->FindObject(hNameRNoise);
        if (fTh1) {
          if (i == 0) {
            TH1F* fThRNoise = new TH1F (hNameRNoiseM, hTitle, 
               fTh1->GetNbinsX(),fTh1->GetXaxis()->GetXmin()
                                ,fTh1->GetXaxis()->GetXmax());
          }
          fThRNoise->Add(fTh1, 1.0); 
        }
      }
      fThRNoise->GetXaxis()->SetLabelSize(0.07);
      fThRNoise->GetYaxis()->SetLabelSize(0.07);
      fThRNoise->Draw();      
    } 
  }
}
