#ifndef _MTEVENTREADER_H
#define _MTEVENTREADER_H

#include "ApvAnalysis.h"
#include "ApvEventReader.h"
#include <map>

class MTEventReader : public ApvEventReader {
 public:

  typedef map<ApvAnalysis*, ApvAnalysis::RawSignalType> MapType;
  
  virtual bool nextEvent();
  
  virtual ApvAnalysis::RawSignalType rawSignal(ApvAnalysis& in);
  
  void setEvent(int,ApvAnalysis::RawSignalType);
  
 private:
  MapType theMap;
};

#endif
