#ifndef ApvAnalysis_TT6APVMask_H
#define ApvAnalysis_TT6APVMask_H

#include "TkApvMask.h"
#include "TkNoiseCalculator.h"

class TT6ApvMask : public TkApvMask {  
public:

  TT6ApvMask(int ctype,float ncut,float dcut );
  ~TT6ApvMask();  

  void setMask(MaskType in) {theMask = in;}
  MaskType mask() {return theMask;}
  
  ApvAnalysis::RawSignalType maskRawSignal(ApvAnalysis::RawSignalType);
  ApvAnalysis::SubtractedSignalType maskRawSignal(ApvAnalysis::SubtractedSignalType);
  
  void calculateMask(ApvAnalysis::SubtractedSignalType);

protected:
  bool defineNoisy(float avrg, float rms,float noise);
  private:
  int theCalculationFlag;
  float theNoiseCut;
  float theDeadCut;
  MaskType theMask;
};

#endif
