#ifndef TkAPVMask_H
#define TkAPVMask_H

#include "ApvAnalysis.h"
#include <vector>

class TkApvMask {  
  
 public:

  enum StripMaskType{ok=1,dead=2,noisy=3};
  
  typedef vector<StripMaskType> MaskType;
  
  virtual void setMask(MaskType in) = 0 ;
  virtual MaskType mask() = 0 ;
  
  virtual ApvAnalysis::RawSignalType maskRawSignal(ApvAnalysis::RawSignalType ) = 0;
  virtual ApvAnalysis::SubtractedSignalType maskRawSignal(ApvAnalysis::SubtractedSignalType ) = 0;
  
  virtual void calculateMask(ApvAnalysis::SubtractedSignalType ) = 0;
  
};

#endif
