#ifndef TkCommonMode_H
#define TkCommonMode_H

#include "ApvAnalysis.h"
#include "TkCommonModeTopology.h"

#include <vector>

class TkCommonMode {
 public:
  virtual TkCommonModeTopology& topology() {return *myTkCommonModeTopology;}
  virtual void setTopology(TkCommonModeTopology* in) {myTkCommonModeTopology = in;}
  
  void setCommonMode(vector<float> in) {theCommonMode = in;}
  vector<float> returnAsVector() const {return theCommonMode;}
  vector<float> toVector() const; // This return a full vector, with duplicates...
 private:
  TkCommonModeTopology* myTkCommonModeTopology;
  vector<float> theCommonMode;
};

#endif
